bitcain docs
API Reference

Health

Health check endpoints for monitoring and load balancing

Startup Probe

GET
/health/startup

Response Body

application/json

curl -X GET "https://loading/health/startup"
{
  "property1": "string",
  "property2": "string"
}

Health Check

GET
/health

Response Body

application/json

curl -X GET "https://loading/health"
{
  "property1": "string",
  "property2": "string"
}

Health Check Head

HEAD
/health

Response Body

application/json

curl -X HEAD "https://loading/health"
null

Readiness Check

GET
/health/ready

Response Body

application/json

curl -X GET "https://loading/health/ready"
{
  "property1": "string",
  "property2": "string"
}

Liveness Check

GET
/health/live

Response Body

application/json

curl -X GET "https://loading/health/live"
{
  "property1": "string",
  "property2": "string"
}

Get Detailed Health

GET
/health/detailed

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/health/detailed"
{}

Get Metrics

GET
/health/metrics

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/health/metrics"
{}

Get Dependencies

GET
/health/dependencies

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/health/dependencies"
{}

Get Supervisor Health

GET
/health/supervisor

Response Body

application/json

curl -X GET "https://loading/health/supervisor"
{}

Get Circuit Breaker Health

GET
/health/circuit-breakers

Response Body

application/json

curl -X GET "https://loading/health/circuit-breakers"
{}

Get Bulkhead Health

GET
/health/bulkheads

Response Body

application/json

curl -X GET "https://loading/health/bulkheads"
{}

Startup Probe

GET
/api/v1/health/startup

Response Body

application/json

curl -X GET "https://loading/api/v1/health/startup"
{
  "property1": "string",
  "property2": "string"
}

Health Check

GET
/api/v1/health

Response Body

application/json

curl -X GET "https://loading/api/v1/health"
{
  "property1": "string",
  "property2": "string"
}

Health Check Head

HEAD
/api/v1/health

Response Body

application/json

curl -X HEAD "https://loading/api/v1/health"
null

Readiness Check

GET
/api/v1/health/ready

Response Body

application/json

curl -X GET "https://loading/api/v1/health/ready"
{
  "property1": "string",
  "property2": "string"
}

Liveness Check

GET
/api/v1/health/live

Response Body

application/json

curl -X GET "https://loading/api/v1/health/live"
{
  "property1": "string",
  "property2": "string"
}

Get Detailed Health

GET
/api/v1/health/detailed

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v1/health/detailed"
{}

Get Metrics

GET
/api/v1/health/metrics

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v1/health/metrics"
{}

Get Dependencies

GET
/api/v1/health/dependencies

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v1/health/dependencies"
{}

Get Supervisor Health

GET
/api/v1/health/supervisor

Response Body

application/json

curl -X GET "https://loading/api/v1/health/supervisor"
{}

Get Circuit Breaker Health

GET
/api/v1/health/circuit-breakers

Response Body

application/json

curl -X GET "https://loading/api/v1/health/circuit-breakers"
{}

Get Bulkhead Health

GET
/api/v1/health/bulkheads

Response Body

application/json

curl -X GET "https://loading/api/v1/health/bulkheads"
{}

API Root

GET
/

Response Body

application/json

curl -X GET "https://loading"
{
  "property1": "string",
  "property2": "string"
}